summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Lyle Sigurdson2010-05-11 19:44:57 +0200
committer Robby Workman2010-05-11 19:44:57 +0200
commit83f3e95e20ff0a06426c95722f80d7d34037e083 (patch)
tree3864ebce0793397c3e67534745eb9791b4ed708e /libraries
parent14e01827dd43c512edc259600e2e45a586b832cb (diff)
downloadslackbuilds-83f3e95e20ff0a06426c95722f80d7d34037e083.tar.gz
libraries/clearsilver: Updated for version 0.10.5
Diffstat (limited to 'libraries')
-rw-r--r--libraries/clearsilver/README15
-rw-r--r--libraries/clearsilver/clearsilver.SlackBuild46
-rw-r--r--libraries/clearsilver/clearsilver.info12
-rw-r--r--libraries/clearsilver/slack-desc20
4 files changed, 47 insertions, 46 deletions
diff --git a/libraries/clearsilver/README b/libraries/clearsilver/README
index ddf0cf4ebd..02bb32a42a 100644
--- a/libraries/clearsilver/README
+++ b/libraries/clearsilver/README
@@ -1,9 +1,12 @@
-Clearsilver is a fast, powerful, and language-neutral template system
-meant primarly for html.
+Clearsilver is a fast, powerful, and language-neutral template system meant
+primarily for html.
-In both static content sites and dynamic HTML applications, it
-provides a separation between presentation code and application logic
-which makes working with your project easier.
+In both static content sites and dynamic HTML applications, it provides a
+separation between presentation code and application logic which makes working
+with your project easier.
-clearsilver.Slackbuild requires that PERL and Python be installed.
+clearsilver.Slackbuild requires that PERL and Python be installed.
+Beware running this slackbuild with an MAKEFLAGS=-jn flags. The clearsilver
+build system skipped building the perl portion of the package when I tried
+MAKEFLAGS=-j2.
diff --git a/libraries/clearsilver/clearsilver.SlackBuild b/libraries/clearsilver/clearsilver.SlackBuild
index 847df2281b..fed48fa8ed 100644
--- a/libraries/clearsilver/clearsilver.SlackBuild
+++ b/libraries/clearsilver/clearsilver.SlackBuild
@@ -1,28 +1,18 @@
#!/bin/sh
# Slackware build script for clearsilver.
-
-# $Revision: 1.3 $
-# $Date: 2006/12/03 14:31:16 $
#
-# Written by Lyle Sigurdson <lyle_s@myrealbox.com>.
+# Written by Lyle Sigurdson <lyle@sent.com>.
#
# Free for any use; no warranty.
# Exit immediately if a simple command exits with a non-zero status.
-# Exit immediately if expansion is attempted on an unset variable.
-set -eu
-
-if [ $UID != 0 ];
-then
- echo "$0: Must be root. Exiting."
- exit 1
-fi
+set -e
PRGNAM=clearsilver
-VERSION=0.10.4
+VERSION=0.10.5
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
@@ -50,10 +40,11 @@ CFLAGS="$SLKCFLAGS" \
--disable-apache \
--disable-java \
--disable-ruby \
- --disable-csharp
+ --disable-csharp \
+ --with-python=/usr/bin/python
make
-make -e install DESTDIR=$PKG
+make install DESTDIR=$PKG
# Let's build the libneo shared object anyway, even though we've disabled C#
# This is useful to have around for some other applications
@@ -61,29 +52,28 @@ cd dso
make
make install DESTDIR=$PKG
cd -
-
-# Put the libneo shared object in /usr/lib so everything will find it
-mv $PKG/usr/lib/python2.4/site-packages/libneo.so $PKG/usr/lib
-( cd $PKG/usr/lib/python2.4/site-packages ; ln -s ../../libneo.so libneo.so )
+
+# Put a link to the libneo shared object in /usr/lib
+( cd $PKG/usr/lib ; ln -s python2.5/site-packages/libneo.so libneo.so )
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-# Move the ClearSilver man page from $PKG/usr/share/man ; kill $PKG/usr/share
-# since nothing else is in there
-mv $PKG/usr/share/man/man3/* $PKG/usr/man/man3
-rm -rf $PKG/usr/share
-
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-# Remove the perllocal.pod file installed by this package so that it
-# doesn't overwrite the one on the system already.
-rm -rf $PKG/usr/lib/perl5/5.8.8/i486-linux/perllocal.pod
+# Remove perllocal.pod and other special files that don't need to be installed,
+# because they will overwrite what's already on the system.
+( cd $PKG
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a CS_LICENSE INSTALL LICENSE README README.python \
diff --git a/libraries/clearsilver/clearsilver.info b/libraries/clearsilver/clearsilver.info
index a1feefceb5..6007f0501d 100644
--- a/libraries/clearsilver/clearsilver.info
+++ b/libraries/clearsilver/clearsilver.info
@@ -1,8 +1,8 @@
-PRGNAM="ClearSilver"
-VERSION="0.10.4"
+PRGNAM="clearsilver"
+VERSION="0.10.5"
HOMEPAGE="http://www.clearsilver.net"
-DOWNLOAD="http://www.clearsilver.net/downloads/clearsilver-0.10.4.tar.gz"
-MD5SUM="9523df7ef17e41a01dbae5032a3e450b"
+DOWNLOAD="http://www.clearsilver.net/downloads/clearsilver-0.10.5.tar.gz"
+MD5SUM="b8c0c7fbe0ef5e06e0c935f134304d44"
MAINTAINER="Lyle Sigurdson"
-EMAIL="lyle_s@myrealbox.com"
-APPROVED="robw810"
+EMAIL="lyle@sent.com"
+APPROVED="rworkman"
diff --git a/libraries/clearsilver/slack-desc b/libraries/clearsilver/slack-desc
index 2f2d202f15..76472b69a4 100644
--- a/libraries/clearsilver/slack-desc
+++ b/libraries/clearsilver/slack-desc
@@ -1,11 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
clearsilver: Clearsilver (template system)
clearsilver:
-clearsilver: Clearsilver is a fast, powerful, and language-neutral template system
-clearsilver: meant primarly for html.
-clearsilver: In both static content sites and dynamic HTML applications, it
-clearsilver: provides a separation between presentation code and application logic
-clearsilver: which makes working with your project easier.
+clearsilver: Clearsilver is a fast, powerful, and language-neutral
+clearsilver: template system meant primarily for html.
clearsilver:
-clearsilver: SlackBuild script written by Lyle Sigurdson.
+clearsilver: In both static content sites and dynamic HTML applications,
+clearsilver: it provides a separation between presentation code and
+clearsilver: application logic, which makes working with your project
+clearsilver: easier.
clearsilver:
clearsilver: